Skip to main content

Chat Labels

Tags: chat, labels, organization

Chat conversation tagging and categorization

Resources

Request and response models used by the endpoints on this page.

ChatLabelResponse

FieldTypeRequiredDescription
colorString
descriptionString
idInteger
nameString
slugString
uuidString

Example:

{
"id": 0 // Integer,
"uuid": "string" // String,
"name": "string" // String,
"slug": "string" // String,
"color": "string" // String,
"description": "string" // String
}

Endpoints

List

GET /api/v2/w/{workspace_uuid}/chat-labels

Description:

List all chat labels for the workspace.

Access: All workspace members can view labels (workspace-scoped resource).

Authorization: Requires labels:read scope

Response: List of ChatLabelResponse


Create

POST /api/v2/w/{workspace_uuid}/chat-labels

Description:

Create a new chat label. Requires workspace manager role.

Authorization: Requires chats:write scope

Parameters:

  • label (CreateChatLabelRequest)

Response: See ChatLabelResponse


Delete Label Id

DELETE /api/v2/w/{workspace_uuid}/chat-labels/{label_id}

Description:

Delete a chat label. Requires workspace manager role.

Authorization: Requires chats:write scope

Parameters:

  • label_id (Integer)

Get Label Id

GET /api/v2/w/{workspace_uuid}/chat-labels/{label_id}

Description:

Get a specific chat label by ID.

Authorization: Requires labels:read scope

Parameters:

  • label_id (String)

Response: See ChatLabelResponse


Update Label Id

PUT /api/v2/w/{workspace_uuid}/chat-labels/{label_id}

Description:

Update an existing chat label. Requires workspace manager role.

Authorization: Requires chats:write scope

Parameters:

  • label_id (Integer)
  • label (UpdateChatLabelRequest)

Response: See ChatLabelResponse